- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
SWFieldManager Class Reference

the main class to read/. More...

`#include <SWFieldManager.hxx>`

## Public Member Functions
| SWFieldManager ()
| constructor More...
virtual | ~SWFieldManager ()
| destructor More...
bool | readField (StarZone &zone, char cKind='_')
| try to read a field type More...

## Private Attributes
shared_ptr< SWFieldManagerInternal::State > | m_state
| the state More...

## Detailed Description

the main class to read/.

. a StarOffice sdw field

## Constructor & Destructor Documentation

SWFieldManager::SWFieldManager | ( |  | ) |

constructor

SWFieldManager::~SWFieldManager | ( |  | ) |
| virtual

destructor

## Member Function Documentation

bool SWFieldManager::readField | ( | StarZone & | zone,
|  | char | cKind = `'_'`
| ) |  |

try to read a field type

Referenced by StarAttributeManager::readAttribute(), StarObjectText::readSwPageStyleSheets(), StarObjectText::readSWTable(), and StarObjectText::readWriterDocument().

## Member Data Documentation

shared_ptr<SWFieldManagerInternal::State> SWFieldManager::m_state
| private

the state

The documentation for this class was generated from the following files:

- SWFieldManager.hxx
- SWFieldManager.cxx